Bug 1126882 - hammer import config-files should probably not live in /etc/hammer/cli.module.d
Summary: hammer import config-files should probably not live in /etc/hammer/cli.module.d
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Transitions
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Grant Gainey
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks: stargate-GA-tracker
TreeView+ depends on / blocked
 
Reported: 2014-08-05 14:00 UTC by Grant Gainey
Modified: 2014-09-11 12:30 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:30:10 UTC


Attachments (Terms of Use)

Description Grant Gainey 2014-08-05 14:00:04 UTC
Right now, hammer-import stores a number of configuration-file YAMLs (interview_answers.yml, role_map.yml, config_macros.yml) in /etc/hammer/cli.module.d

This means that executing the hammer command, for any reason, causes those files to be picked up and parsed.

Would probably be better for them to live in their own place, rather than having them affect the general use of hammer itself.

Comment 1 RHEL Product and Program Management 2014-08-05 14:04:02 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Grant Gainey 2014-08-05 16:06:09 UTC
email out to hammer-gurus asking for input

Comment 4 Grant Gainey 2014-08-06 16:35:23 UTC
from email discussion with Tomas Strachota:

"hammer searches for module configuration in /etc/hammer/cli.modules.d 
and loads it at startup to identify installed modules. It doesn't scan 
the directory recursively so a good place for module specific 
configuration you want to load later would be either 
/etc/hammer/cli.modules.d/import/ as you mentioned, /etc/hammer/import/ 
or something similar. You only have to avoid placing the files directly 
into cli.modules.d/."

Let's move everything import-related to

/etc/hammer/cli.modules.d/import

Comment 5 Grant Gainey 2014-08-06 16:48:00 UTC
commit 0779db7ba5547525fa0a1411b18689a208830419

Comment 8 Tazim Kolhar 2014-09-03 06:43:15 UTC
VERIFIED
rubygem-hammer_cli_katello-0.0.4-14.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-3.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.1-16.el6sat.noarch
rubygem-hammer_cli_import-0.10.2-1.2.el6sat.noarch
rubygem-hammer_cli-0.1.1-12.el6sat.noarch

all the configuration files shifted to /etc/hammer/cli.modules.d/import

Comment 9 Tazim Kolhar 2014-09-03 09:15:19 UTC
shifting this to ON_QA as discussed in the email will be handled by  @ggainey

Comment 11 Matej Kollar 2014-09-03 09:45:51 UTC
verified with rubygem-hammer_cli_import-0.10.3-1

Comment 12 Bryan Kearney 2014-09-11 12:30:10 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.